
@import url('https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&display=swap');

html {
    height: 100%;
    scroll-behavior: smooth;

    overflow: auto;
    scrollbar-width: none;
    -ms-overflow-style: none;

    text-align: center;
}

body {
    background-color: #2b2b2b;

    background-image: radial-gradient(circle, rgb(51 51 51 / 0.75) 1px, transparent 1px);

    background-size: 24px 24px;

    font-family: "JetBrains Mono", monospace;
    font-weight: 700;
}

h1 {
    color: #48E5C2;
    font-size: 4rem;
    margin: 10% 10% 1%;
    outline: 5px solid #9CFF97;
    padding: 1rem;
    background-color: rgb(156 255 151 / 0.2);
}

h2 {
    color: #48E5C2;
    font-size: 3rem;
    margin: 18% 25% 1%;
    outline: 5px solid #9CFF97;
    padding: 0.5rem;
    background-color: rgb(156 255 151 / 0.2);
}

h3 {
    color: #48E5C2;
    outline: 5px solid #9CFF97;
    padding: 1%;
    width: 41%;
    background-color: rgb(156 255 151 / 0.2);
}

h4 {
    color: #48E5C2;
    outline: 5px solid #9CFF97;
    padding: 1%;
    margin-left: 5%;
    margin-right: 5%;
    background-color: rgb(156 255 151 / 0.2);
}

a {
    color: #F9DB6D;
    outline: 5px solid #9CFF97;
    padding: 1% 5%;
    background-color: rgb(156 255 151 / 0.2);
    text-decoration: none;
}

.BackToToc {
    position: fixed;
    bottom: 20px;
    right: 20px;
    color: #F9DB6D;
    outline: 5px solid #9CFF97;
    padding: 1% 5%;
    background-color: rgb(156 255 151 / 0.2);
    text-decoration: none;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s ease;
}

.BackToToc.visible {
    opacity: 1;
    pointer-events: auto;
}

div {
    scroll-margin-top: 3rem;
}

bluetitlesection {
    color: #FF1053;
}

.TableOfContentsList {
    margin-top: 3%;
    margin-bottom: 5%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.TableOfContentsList a {
    width: 18%;
}

.header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.outlinedbox {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    outline: 5px solid #9CFF97;
    padding: 1% 5%;
    background-color: rgb(156 255 151 / 0.2);
}

.startbutton {
    margin-top: 12%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
